Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367323 - the "OpenShift Container Platform 3.2" variant is still listed when quick install ose-3.3
Summary: the "OpenShift Container Platform 3.2" variant is still listed when quick ins...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Samuel Munilla
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 08:20 UTC by liujia
Modified: 2016-09-08 11:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-08 11:58:04 UTC


Attachments (Terms of Use)

Description liujia 2016-08-16 08:20:56 UTC
Description of problem:
when quick install ose-3.3, it list wrong variant info with another choice about OpenShift Container Platform 3.2,  which should not listed in 3.3 quick installer. 

Version-Release number of selected component (if applicable):

atomic-openshift-utils.noarch 0:3.3.11-1.git.4.eac15df.el7


How reproducible:
always

Steps to Reproduce:
1. Run atomic-openshift-installer
[root@openshift-v3 ~]# atomic-openshift-installer install

2. Choose "y"  to continue the install

3. Use "root" for ssh access

4. Choose one product type

Actual results:
Which variant would you like to install?


(1) OpenShift Container Platform 3.3
(2) OpenShift Container Platform 3.2

Choose a variant from above:  [1]: 


Expected results:
Which variant would you like to install?



(1) OpenShift Container Platform 3.3

Choose a variant from above:  [1]: 

Additional info:

Comment 1 Scott Dodson 2016-08-16 15:15:33 UTC
Maybe we shouldn't even ask for the version?

Comment 2 openshift-github-bot 2016-08-16 17:23:57 UTC
Commits pushed to master at https://github.com/openshift/openshift-ansible

https://github.com/openshift/openshift-ansible/commit/611292a2bd18f782f52a27316347e431ba9b3324
Bug 1367323 - the "OpenShift Container Platform 3.2" variant is still listed when quick install ose-3.3

Remove 3.2 from the install options in 3.3 installer.

https://github.com/openshift/openshift-ansible/commit/bdf12ce1512ec5467cf668b0a7c8553a4dab92d1
Merge pull request #2307 from smunilla/BZ1367323

Bug 1367323 - the "OpenShift Container Platform 3.2" variant is still listed when quick install ose-3.3

Comment 3 Brenton Leanhardt 2016-09-07 20:40:35 UTC
I think this should be ON_QA.

Comment 4 liujia 2016-09-08 01:49:49 UTC
Version:
atomic-openshift-utils-3.3.22-1.git.0.6c888c2.el7.noarch

Verify Steps:
1. Run atomic-openshift-installer
[root@openshift-v3 ~]# atomic-openshift-installer install

2. Choose "y"  to continue the install

3. Use "root" for ssh access

4.Which variant would you like to install?


(1) OpenShift Container Platform 3.3
(2) Registry 3.3

Choose a variant from above:  [1]: 

Verify Result:
the "OpenShift Container Platform 3.2" variant is not listed when quick install ose-3.3 now.


Note You need to log in before you can comment on or make changes to this bug.